# WIDOCO's reported usages

WIDOCO has been used to document **more than a hundred ontologies from different domains**. These usages are reported directly through the usage of the tool or by other tools that use it to produce documentation. Here we list some of the projects that have adopted Widoco:

* [BTN 100 Ontology](https://github.com/oeg-upm/btn100-ontology): a repository with **11 ontologies** representing different information of the Spanish Geographical Institute.
* [Vocab](http://vocab.linkeddata.es): Project grouping many of the vocabularies developed or contributed to by the [Ontology Engineering Group](http://www.oeg-upm.net/). At the moment the site includes a total of 41 vocabularies, **30 of them directly documented with WIDOCO**. These vocabularies are associated to projects from different domains, such as: 
  * eScience ([Smart Protocols](http://purl.org/net/SMARTprotocol), [provenance in workflows](http://www.opmw.org/ontology/), etc.) 
  * [Licensing](http://purl.oclc.org/NET/ldr/ns) 
  * [Libraries](http://datos.bne.es/def/)
  * [Videogames](http://purl.org/net/vgo)
  * [Environment modeling](https://w3id.org/def/saref4envi#)
  * [Quality modeling](http://vocab.linkeddata.es/qmo/index.html)
* [DISK](http://disk-project.org/) (Automated DIscovery of Scientific Knowledge) defines [an ontology](http://disk-project.org/ontology/disk/index-en.html) for modeling scientific hypotheses.
* [Linked Earth](http://linked.earth/): defines **[six ontologies](http://linked.earth/ontology/)** to model paleo-climate data and observations.
* [OntoSoft](http://ontosoft.org/): describes **two ontologies** to describe software metadata.

## Tools that include Widoco

* [OnToology](http://ontoology.linkeddata.es/), a tool for automatically pushing documentaiton, diagrams and possible issues of a repository of ontologies while keeping version control. Ontoology uses WIDOCO to document the ontologies. More than **one hundred repositories** have been registered in OnToology. A list of these repositories is [accessible online](http://ontoology.github.io/OnToology/journalofwebsemantics/#ontologies).
* [VoCol](http://vocol.iais.fraunhofer.de/), a framework for documenting, editing and validating ontologies while doing version control. There are at least **[ten projects](http://vocol.iais.fraunhofer.de/#projects)** that report its use. 