package widoco.gui;

import java.awt.Color;
import java.awt.Cursor;
import java.awt.Dimension;
import java.awt.Image;
import java.awt.image.BufferedImage;
import java.io.IOException;
import javax.imageio.ImageIO;
import javax.swing.ImageIcon;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 *
 * @author dgarijo
 */
public class TestInterface extends javax.swing.JFrame {

	private final Logger logger = LoggerFactory.getLogger(this.getClass());

	/**
	 * Creates new form TestInterface
	 */
	public TestInterface() {

		initComponents();
		// set a transparent image
		Image icon = new BufferedImage(1, 1, BufferedImage.TYPE_INT_ARGB_PRE);
		this.setIconImage(icon);
		try {
			Image logo = ImageIO.read(ClassLoader.getSystemResource("logo/logo2.png"));
			Image l = logo.getScaledInstance(widocoLogo.getWidth(), widocoLogo.getHeight(), Image.SCALE_SMOOTH);
			widocoLogo.setIcon(new ImageIcon(l));
			widocoLogo.setText("");
			// this.setIconImage(g.getConfig().getWidocoLogoMini());//
		} catch (IOException e) {
			logger.error("Error loading the logo :( " + e.getMessage());
		}

		Dimension dim = java.awt.Toolkit.getDefaultToolkit().getScreenSize();

		// Determine the new location of the window
		int w = this.getSize().width;
		int h = this.getSize().height;
		int x = (dim.width - w) / 2;
		int y = (dim.height - h) / 2;

		// Move the window
		this.setLocation(x, y);

		// Image l =
		// g.getConfig().getWidocoLogo().getScaledInstance(widocoLogo.getWidth(),
		// widocoLogo.getHeight(), Image.SCALE_SMOOTH);

	}

	/**
	 * This method is called from within the constructor to initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is always
	 * regenerated by the Form Editor.
	 */
	@SuppressWarnings("unchecked")
	// <editor-fold defaultstate="collapsed" desc="Generated
	// Code">//GEN-BEGIN:initComponents
	private void initComponents() {

		backgroundPanel = new javax.swing.JPanel();
		sidePanel = new javax.swing.JPanel();
		jPanel2 = new javax.swing.JPanel();
		iconNumber = new javax.swing.JLabel();
		jLabel2 = new javax.swing.JLabel();
		widocoLogo = new javax.swing.JLabel();
		jPanel5 = new javax.swing.JPanel();
		iconNumber1 = new javax.swing.JLabel();
		jLabel3 = new javax.swing.JLabel();
		jPanel6 = new javax.swing.JPanel();
		iconNumber2 = new javax.swing.JLabel();
		jLabel4 = new javax.swing.JLabel();
		jPanel7 = new javax.swing.JPanel();
		iconNumber3 = new javax.swing.JLabel();
		jLabel5 = new javax.swing.JLabel();
		labelChangeAtTheEnd = new javax.swing.JLabel();

		setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
		setTitle("Step 1: Select a template");
		setResizable(false);

		backgroundPanel.setBackground(new java.awt.Color(204, 204, 204));
		backgroundPanel.setPreferredSize(new java.awt.Dimension(1000, 500));

		sidePanel.setBackground(new java.awt.Color(255, 255, 255));

		jPanel2.setBackground(new java.awt.Color(240, 244, 252));
		jPanel2.addMouseListener(new java.awt.event.MouseAdapter() {
			public void mouseClicked(java.awt.event.MouseEvent evt) {
				jPanel2MouseClicked(evt);
			}

			public void mouseEntered(java.awt.event.MouseEvent evt) {
				jPanel2MouseEntered(evt);
			}
		});

		iconNumber.setIcon(new javax.swing.ImageIcon(getClass().getResource("/widoco/images/three.png"))); // NOI18N

		jLabel2.setFont(new java.awt.Font("Segoe UI", 0, 16)); // NOI18N
		jLabel2.setText("Load Metadata");

		javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
		jPanel2.setLayout(jPanel2Layout);
		jPanel2Layout
				.setHorizontalGroup(
						jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
								.addGroup(jPanel2Layout.createSequentialGroup().addGap(6, 6, 6)
										.addComponent(iconNumber, javax.swing.GroupLayout.PREFERRED_SIZE, 32,
												javax.swing.GroupLayout.PREFERRED_SIZE)
										.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
										.addComponent(jLabel2, javax.swing.GroupLayout.PREFERRED_SIZE, 133,
												javax.swing.GroupLayout.PREFERRED_SIZE)
										.addContainerGap(32, Short.MAX_VALUE)));
		jPanel2Layout.setVerticalGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel2Layout.createSequentialGroup()
						.addContainerGap()
						.addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
								.addComponent(iconNumber, javax.swing.GroupLayout.DEFAULT_SIZE, 32, Short.MAX_VALUE)
								.addComponent(jLabel2, javax.swing.GroupLayout.DEFAULT_SIZE,
										javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
						.addContainerGap()));

		widocoLogo.setText("LOGO");

		jPanel5.setBackground(new java.awt.Color(240, 244, 252));
		jPanel5.addMouseListener(new java.awt.event.MouseAdapter() {
			public void mouseClicked(java.awt.event.MouseEvent evt) {
				jPanel5MouseClicked(evt);
			}

			public void mouseEntered(java.awt.event.MouseEvent evt) {
				jPanel5MouseEntered(evt);
			}
		});

		iconNumber1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/widoco/images/two.png"))); // NOI18N

		jLabel3.setFont(new java.awt.Font("Segoe UI", 0, 16)); // NOI18N
		jLabel3.setText("Load Sections");

		javax.swing.GroupLayout jPanel5Layout = new javax.swing.GroupLayout(jPanel5);
		jPanel5.setLayout(jPanel5Layout);
		jPanel5Layout
				.setHorizontalGroup(
						jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
								.addGroup(jPanel5Layout.createSequentialGroup().addGap(6, 6, 6)
										.addComponent(iconNumber1, javax.swing.GroupLayout.PREFERRED_SIZE, 32,
												javax.swing.GroupLayout.PREFERRED_SIZE)
										.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
										.addComponent(jLabel3, javax.swing.GroupLayout.PREFERRED_SIZE, 133,
												javax.swing.GroupLayout.PREFERRED_SIZE)
										.addContainerGap(32, Short.MAX_VALUE)));
		jPanel5Layout.setVerticalGroup(jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel5Layout.createSequentialGroup()
						.addContainerGap()
						.addGroup(jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
								.addComponent(iconNumber1, javax.swing.GroupLayout.DEFAULT_SIZE, 32, Short.MAX_VALUE)
								.addComponent(jLabel3, javax.swing.GroupLayout.DEFAULT_SIZE,
										javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
						.addContainerGap()));

		jPanel6.setBackground(new java.awt.Color(240, 244, 252));
		jPanel6.addMouseListener(new java.awt.event.MouseAdapter() {
			public void mouseClicked(java.awt.event.MouseEvent evt) {
				jPanel6MouseClicked(evt);
			}

			public void mouseEntered(java.awt.event.MouseEvent evt) {
				jPanel6MouseEntered(evt);
			}
		});

		iconNumber2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/widoco/images/one.png"))); // NOI18N

		jLabel4.setFont(new java.awt.Font("Segoe UI", 0, 16)); // NOI18N
		jLabel4.setText("Select Template");

		javax.swing.GroupLayout jPanel6Layout = new javax.swing.GroupLayout(jPanel6);
		jPanel6.setLayout(jPanel6Layout);
		jPanel6Layout
				.setHorizontalGroup(
						jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
								.addGroup(jPanel6Layout.createSequentialGroup().addGap(6, 6, 6)
										.addComponent(iconNumber2, javax.swing.GroupLayout.PREFERRED_SIZE, 32,
												javax.swing.GroupLayout.PREFERRED_SIZE)
										.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
										.addComponent(jLabel4, javax.swing.GroupLayout.PREFERRED_SIZE, 133,
												javax.swing.GroupLayout.PREFERRED_SIZE)
										.addContainerGap(32, Short.MAX_VALUE)));
		jPanel6Layout.setVerticalGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel6Layout.createSequentialGroup()
						.addContainerGap()
						.addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
								.addComponent(iconNumber2, javax.swing.GroupLayout.DEFAULT_SIZE, 32, Short.MAX_VALUE)
								.addComponent(jLabel4, javax.swing.GroupLayout.DEFAULT_SIZE,
										javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
						.addContainerGap()));

		jPanel7.setBackground(new java.awt.Color(240, 244, 252));
		jPanel7.addMouseListener(new java.awt.event.MouseAdapter() {
			public void mouseClicked(java.awt.event.MouseEvent evt) {
				jPanel7MouseClicked(evt);
			}

			public void mouseEntered(java.awt.event.MouseEvent evt) {
				jPanel7MouseEntered(evt);
			}
		});

		iconNumber3.setIcon(new javax.swing.ImageIcon(getClass().getResource("/widoco/images/four.png"))); // NOI18N

		jLabel5.setFont(new java.awt.Font("Segoe UI", 0, 16)); // NOI18N
		jLabel5.setText("Finish");

		javax.swing.GroupLayout jPanel7Layout = new javax.swing.GroupLayout(jPanel7);
		jPanel7.setLayout(jPanel7Layout);
		jPanel7Layout
				.setHorizontalGroup(
						jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
								.addGroup(jPanel7Layout.createSequentialGroup().addGap(6, 6, 6)
										.addComponent(iconNumber3, javax.swing.GroupLayout.PREFERRED_SIZE, 32,
												javax.swing.GroupLayout.PREFERRED_SIZE)
										.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
										.addComponent(jLabel5, javax.swing.GroupLayout.PREFERRED_SIZE, 133,
												javax.swing.GroupLayout.PREFERRED_SIZE)
										.addContainerGap(32, Short.MAX_VALUE)));
		jPanel7Layout.setVerticalGroup(jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel7Layout.createSequentialGroup()
						.addContainerGap()
						.addGroup(jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
								.addComponent(iconNumber3, javax.swing.GroupLayout.DEFAULT_SIZE, 32, Short.MAX_VALUE)
								.addComponent(jLabel5, javax.swing.GroupLayout.DEFAULT_SIZE,
										javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
						.addContainerGap()));

		javax.swing.GroupLayout sidePanelLayout = new javax.swing.GroupLayout(sidePanel);
		sidePanel.setLayout(sidePanelLayout);
		sidePanelLayout
				.setHorizontalGroup(sidePanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
						.addGroup(sidePanelLayout.createSequentialGroup().addGap(12, 12, 12).addComponent(widocoLogo,
								javax.swing.GroupLayout.PREFERRED_SIZE, 176, javax.swing.GroupLayout.PREFERRED_SIZE))
						.addComponent(jPanel6, javax.swing.GroupLayout.PREFERRED_SIZE,
								javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
						.addComponent(jPanel5, javax.swing.GroupLayout.PREFERRED_SIZE,
								javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
						.addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE,
								javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
						.addComponent(jPanel7, javax.swing.GroupLayout.PREFERRED_SIZE,
								javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE));
		sidePanelLayout.setVerticalGroup(sidePanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addGroup(sidePanelLayout.createSequentialGroup().addGap(13, 13, 13)
						.addComponent(widocoLogo, javax.swing.GroupLayout.PREFERRED_SIZE, 80,
								javax.swing.GroupLayout.PREFERRED_SIZE)
						.addGap(67, 67, 67)
						.addComponent(jPanel6, javax.swing.GroupLayout.PREFERRED_SIZE,
								javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
						.addGap(2, 2, 2)
						.addComponent(jPanel5, javax.swing.GroupLayout.PREFERRED_SIZE,
								javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
						.addGap(2, 2, 2)
						.addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE,
								javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
						.addGap(2, 2, 2)
						.addComponent(jPanel7, javax.swing.GroupLayout.PREFERRED_SIZE,
								javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
						.addGap(102, 102, 102)));

		labelChangeAtTheEnd.setText("Change to white at the end");

		javax.swing.GroupLayout backgroundPanelLayout = new javax.swing.GroupLayout(backgroundPanel);
		backgroundPanel.setLayout(backgroundPanelLayout);
		backgroundPanelLayout
				.setHorizontalGroup(backgroundPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
						.addGroup(backgroundPanelLayout.createSequentialGroup()
								.addComponent(sidePanel, javax.swing.GroupLayout.PREFERRED_SIZE, 200,
										javax.swing.GroupLayout.PREFERRED_SIZE)
								.addGap(340, 340, 340).addComponent(labelChangeAtTheEnd)));
		backgroundPanelLayout
				.setVerticalGroup(backgroundPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
						.addComponent(sidePanel, javax.swing.GroupLayout.PREFERRED_SIZE,
								javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
						.addGroup(backgroundPanelLayout.createSequentialGroup().addGap(450, 450, 450)
								.addComponent(labelChangeAtTheEnd)));

		javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
		getContentPane().setLayout(layout);
		layout.setHorizontalGroup(
				layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).addComponent(backgroundPanel,
						javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE));
		layout.setVerticalGroup(
				layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).addComponent(backgroundPanel,
						javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE));

		pack();
	}// </editor-fold>//GEN-END:initComponents

	private void jPanel2MouseClicked(java.awt.event.MouseEvent evt) {// GEN-FIRST:event_jPanel2MouseClicked
		// this is a test that will be changed at the end
		Color c = new Color(126, 145, 204);
		this.jPanel2.setBackground(c);
		// la idea es que cuando hagas un paso, el panel anterior aparezca como
		// completado.
		// cada paso tiene un logo con la i. Si haces click, te explica.
	}// GEN-LAST:event_jPanel2MouseClicked

	private void jPanel2MouseEntered(java.awt.event.MouseEvent evt) {// GEN-FIRST:event_jPanel2MouseEntered
		jPanel2.setToolTipText("Select your template in this step");
	}// GEN-LAST:event_jPanel2MouseEntered

	private void jPanel5MouseClicked(java.awt.event.MouseEvent evt) {// GEN-FIRST:event_jPanel5MouseClicked
		// TODO add your handling code here:
	}// GEN-LAST:event_jPanel5MouseClicked

	private void jPanel5MouseEntered(java.awt.event.MouseEvent evt) {// GEN-FIRST:event_jPanel5MouseEntered
		// TODO add your handling code here:
	}// GEN-LAST:event_jPanel5MouseEntered

	private void jPanel6MouseClicked(java.awt.event.MouseEvent evt) {// GEN-FIRST:event_jPanel6MouseClicked
		// TODO add your handling code here:
	}// GEN-LAST:event_jPanel6MouseClicked

	private void jPanel6MouseEntered(java.awt.event.MouseEvent evt) {// GEN-FIRST:event_jPanel6MouseEntered
		jPanel6.setCursor(new Cursor(Cursor.HAND_CURSOR));
	}// GEN-LAST:event_jPanel6MouseEntered

	private void jPanel7MouseClicked(java.awt.event.MouseEvent evt) {// GEN-FIRST:event_jPanel7MouseClicked
		// TODO add your handling code here:
	}// GEN-LAST:event_jPanel7MouseClicked

	private void jPanel7MouseEntered(java.awt.event.MouseEvent evt) {// GEN-FIRST:event_jPanel7MouseEntered
		// TODO add your handling code here:
	}// GEN-LAST:event_jPanel7MouseEntered

	/**
	 * @param args
	 *            the command line arguments
	 */
	public static void main(String args[]) {
		/* Set the Nimbus look and feel */
		// <editor-fold defaultstate="collapsed" desc=" Look and feel setting code
		// (optional) ">
		/*
		 * If Nimbus (introduced in Java SE 6) is not available, stay with the default
		 * look and feel. For details see
		 * http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html
		 */
		try {
			for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
				if ("Nimbus".equals(info.getName())) {
					javax.swing.UIManager.setLookAndFeel(info.getClassName());
					break;
				}
			}
		} catch (ClassNotFoundException ex) {
			java.util.logging.Logger.getLogger(TestInterface.class.getName()).log(java.util.logging.Level.SEVERE, null,
					ex);
		} catch (InstantiationException ex) {
			java.util.logging.Logger.getLogger(TestInterface.class.getName()).log(java.util.logging.Level.SEVERE, null,
					ex);
		} catch (IllegalAccessException ex) {
			java.util.logging.Logger.getLogger(TestInterface.class.getName()).log(java.util.logging.Level.SEVERE, null,
					ex);
		} catch (javax.swing.UnsupportedLookAndFeelException ex) {
			java.util.logging.Logger.getLogger(TestInterface.class.getName()).log(java.util.logging.Level.SEVERE, null,
					ex);
		}
		// </editor-fold>

		/* Create and display the form */
		java.awt.EventQueue.invokeLater(new Runnable() {
			public void run() {
				new TestInterface().setVisible(true);
			}
		});
	}

	// Variables declaration - do not modify//GEN-BEGIN:variables
	private javax.swing.JPanel backgroundPanel;
	private javax.swing.JLabel iconNumber;
	private javax.swing.JLabel iconNumber1;
	private javax.swing.JLabel iconNumber2;
	private javax.swing.JLabel iconNumber3;
	private javax.swing.JLabel jLabel2;
	private javax.swing.JLabel jLabel3;
	private javax.swing.JLabel jLabel4;
	private javax.swing.JLabel jLabel5;
	private javax.swing.JPanel jPanel2;
	private javax.swing.JPanel jPanel5;
	private javax.swing.JPanel jPanel6;
	private javax.swing.JPanel jPanel7;
	private javax.swing.JLabel labelChangeAtTheEnd;
	private javax.swing.JPanel sidePanel;
	private javax.swing.JLabel widocoLogo;
	// End of variables declaration//GEN-END:variables
}
